All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Timer Class Reference

`#include <benchmark-utils.hpp>`

## Public Member Functions

| Timer ()
void | start ()
double | get () const

## Detailed Description

Examples:
  blas3.cpp.

Definition at line 69 of file benchmark-utils.hpp.

## Constructor & Destructor Documentation

Timer::Timer | ( |  | ) |

inline

Definition at line 73 of file benchmark-utils.hpp.

## Member Function Documentation

double Timer::get | ( |  | ) | const

inline

Examples:
  blas3.cpp.

Definition at line 83 of file benchmark-utils.hpp.

void Timer::start | ( |  | ) |

inline

Examples:
  blas3.cpp.

Definition at line 76 of file benchmark-utils.hpp.

The documentation for this class was generated from the following file:

- examples/benchmarks/benchmark-utils.hpp